/*
 * @author lsy
 * @date   2020/6/28
 **/
import 'package:flutter_common/Annotations/anno/Get.dart';
import 'package:flutter_common/Annotations/anno/Query.dart';
import 'package:flutter_common/Annotations/anno/ServiceCenter.dart';
import 'package:gm_flutter/ClueModel/server/entity/LevelOneFeedList.dart';
import 'package:gm_flutter/ClueModel/server/entity/PlanCompareDetail.dart';
@ServiceCenter()
abstract class ClueApi {
  @Get("api/janus/plans/plan_feed")
  LevelOneFeedList getLevelOneList(@Query("plan_id") int plan_id,
      @Query("tab_type") String tab_type, @Query("page") int page);

  @Get("api/janus/plans/compare")
  PlanCompareDetail getPlanCompareDetail(@Query("plan_ids") List<int> plan_ids);
}
